Why are you using an outdated version of Unity in High Immersion?